<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from lic.texi on 28 April 1999 -->

<TITLE>The Linear Inequality Calculator - A Brief History of LIC</TITLE>
<link href="lic_4.html" rel=Next>
<link href="lic_2.html" rel=Previous>
<link href="lic_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_2.html">previous</A>, <A HREF="lic_4.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC3" HREF="lic_toc.html#TOC3">A Brief History of LIC</A></H2>
<P>
<A NAME="IDX14"></A>
The original <CODE>LIC</CODE> was the Matrix and Linear Inequality Calculator
mode of the current system. It was designed as a flexible interface to
the linear inequality library.  Most of the functionality of the linear
inequality library was available in this system.

</P>
<P>
Although this made the design, debugging, and evaluation process very
quick and painless, <CODE>LIC</CODE> still had few drawbacks.  It was hard to
enter and keep track of the inequalities and the associated variables.
It was also the case that most of these matrix operations were not used
in many of the algorithms that were under development.

</P>
<P>
Then a separate program was created to specifically simplify the design
of code generation algorithms.  This was accomplished by first cloning
the original <CODE>LIC</CODE> and then removing many of the matrix operations.
Finally, a simple interface to handle inequalities was developed, and
the Rapid Prototyping System for Code Generation was born. This used the
Named Linear Inequalities with Symbolic Constants as the base inequality
class.

</P>
<P>
Later both of these programs were combined together to form the current
<CODE>LIC</CODE>.  Since both modes have separate YACC grammars and use
different base inequality classes, it is not possible to switch between
modes or exchange information. 
<A NAME="IDX15"></A>

</P>
<P><HR><P>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_2.html">previous</A>, <A HREF="lic_4.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
</BODY>
</HTML>
